%define		fullname	IceWMControlPanel
%define		ice_ver		1.2.14
Name:		IceWMCP	 
Version:	3.2
Release:	alt4

Summary:	A full-featured, multi-language, Gtk-based control panel targeted toward IceWM.		 
License: 	GPL
Group: 		Graphical desktop/Icewm

Url:		http://icesoundmanager.sourceforge.net/
Packager: 	YYY
BuildArch:	noarch 

BuildRequires:	python-module-pygtk
BuildRequires:	python >= 2.3
Requires:	python-module-pygtk
Requires:	python >= 2.3
Requires:	aumix
Requires:	gksu
Requires:	url_handler
Conflicts:	%fullname



Source:		%fullname-%version.tar.bz2
Source1: 	%name.GtkPCCard
Source2: 	%name.iceme
Source3: 	%name.icepref
Source4: 	%name.icepref-td
Source5: 	%name.IceSoundManager
Source6: 	%name.%name
Source7: 	%name.%name-EnergyStar
Source8: 	%name.%name-Icons
Source9: 	%name.%name-Keyboard
Source10: 	%name.%name-Mouse
Source11: 	%name.%name-PySpool
Source12: 	%name.%name-Wallpaper
Source13: 	%name.%name-WinOptions
Source14: 	%name.PhrozenClock
Source15:	%name.menu


%define __find_requires %{nil}

%description	
A full-featured, multi-language, Gtk-based control panel targeted toward IceWM.

%description -l ru_RU.UTF-8
Полнофункциональная панель управления для IceWM.


%prep
%setup -n INSTALL-%name

%build

%install
%__install -pD -m755 %SOURCE1 %buildroot%_bindir/GtkPCCard
%__install -pD -m755 %SOURCE2 %buildroot%_bindir/iceme
%__install -pD -m755 %SOURCE3 %buildroot%_bindir/icepref
%__install -pD -m755 %SOURCE4 %buildroot%_bindir/icepref-td
%__install -pD -m755 %SOURCE5 %buildroot%_bindir/IceSoundManager
%__install -pD -m755 %SOURCE6 %buildroot%_bindir/%name
%__install -pD -m755 %SOURCE7 %buildroot%_bindir/%name-EnergyStar
%__install -pD -m755 %SOURCE8 %buildroot%_bindir/%name-Icons
%__install -pD -m755 %SOURCE9 %buildroot%_bindir/%name-Keyboard
%__install -pD -m755 %SOURCE10 %buildroot%_bindir/%name-Mouse
%__install -pD -m755 %SOURCE11 %buildroot%_bindir/%name-PySpool
%__install -pD -m755 %SOURCE12 %buildroot%_bindir/%name-Wallpaper
%__install -pD -m755 %SOURCE13 %buildroot%_bindir/%name-WinOptions
%__install -pD -m755 %SOURCE14 %buildroot%_bindir/PhrozenClock
%__install -pD -m644 %SOURCE15 %buildroot%_menudir/%name

%__mkdir_p %buildroot%_datadir/%name/
%__cp -a * %buildroot%_datadir/%name/
%__cp -a %buildroot%_datadir/%name/locale %buildroot%_datadir
%__rm -Rf %buildroot%_datadir/%name/locale
%__cp -a %buildroot%_datadir/%name/icons %buildroot%_datadir/icons
%__rm -Rf %buildroot%_datadir/%name/icons
%__rm -Rf %buildroot%_datadir/%name/doc
%__rm -f %buildroot%_datadir/%name/{PyInstallShield,INSTALL-ME.sh,install-config.txt,pyspool.py,pyspool.pyc,pyspool.pyo}
find %buildroot%_datadir/%name/applets -type f -name java.cpl -delete
find %buildroot%_datadir/%name/applets -type f -name tkantivir.cpl -delete
find %buildroot%_datadir/%name/applets -type f -name userinfo.cpl -delete
find %buildroot%_datadir/%name/applets -type f -name usermount.cpl -delete
find %buildroot%_datadir/%name/applets -type f -name sysinfo.cpl -delete

%find_lang --output=%name.lang icewmcp icewmcp-ism icewmcp-icepref icewmcp-iceme

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_menudir/*
%_datadir/%name/*
%_datadir/icons/*
#%_datadir/locale/*

%doc doc/*.html doc/*.txt

%changelog
* Sun Jul 10 2005 Andrew Kornilov <hiddenman@altlinux.ru> 3.2-alt2
- Removed uncensored world from spec :)
- BuidReq and Req now has hardcoded python version (otherwise hasher can't build this)
- Requires of pygtk2 changed to python-module-pygtk

* Mon Aug 23 2004 Andrew Kornilov <hiddenman@altlinux.ru> 3.2-alt1
- New version (has many fixed, now support Python 2.3, new and updated russian
  translations)
- Updated icepref-alt-fixpath patch

* Wed Aug 04 2004 Andrew Kornilov <hiddenman@altlinux.ru> 3.1-alt2
- Removed filesystem intersections. Now used find-lang 

* Mon Jul 19 2004 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 3.1-alt1
-  prepared for Hiddenman ;).

* Thu Apr 22 2004 Alex Gorbachenko 	<agent_007@immo.ru> 3.1-5immo
- back to the icewm 1.2.13

* Wed Apr 14 2004 Alex Gorbachenko 	<agent_007@immo.ru> 3.1-4immo
- patches for icewm 1.2.14.
- some spec changes. 

* Wed Apr 07 2004 Alex Gorbachenko <agent_007@immo.ru> 3.1-3immo
- pyspool now execute url_handler.sh, not (e)links.  

* Tue Mar 09 2004 Alex Gorbachenko <agent_007@immo.ru> 3.1-2immo
- fixed font selection results in icepref.
- removed sysinfo.cpl applet, because it has long since been unsupported by author.

* Wed Mar 03 2004 Alex Gorbachenko <agent_007@immo.ru> 3.1-1immo
- initial release.
